curl --request PUT \
--url https://api.rallyuxr.com/api/public/v1/properties/{propertyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"propertyOptions": [
{
"name": "SMB (1 - 100 employees)",
"color": "GREEN"
}
],
"isPHI": true,
"isPII": true,
"description": "<string>"
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/properties/{propertyId}"
payload = {
"name": "<string>",
"propertyOptions": [
{
"name": "SMB (1 - 100 employees)",
"color": "GREEN"
}
],
"isPHI": True,
"isPII": True,
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
propertyOptions: [{name: 'SMB (1 - 100 employees)', color: 'GREEN'}],
isPHI: true,
isPII: true,
description: '<string>'
})
};
fetch('https://api.rallyuxr.com/api/public/v1/properties/{propertyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"propertyId": "<string>",
"name": "<string>",
"propertyType": "SINGLE_SELECT",
"propertyOptions": [
{
"propertyOptionId": "<string>",
"name": "<string>",
"color": "GREY",
"order": "1"
}
],
"isUnique": true,
"isPHI": true,
"isPII": true,
"description": "<string>",
"propertyGroupId": "<string>"
}"Unauthorized""Forbidden""{Resource} not found""Too Many Requests""Internal Server Error"Update a person property by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Input object for editing a person property. Pass all property options except ones that will be deleted
The name of the property
Options for a SINGLE_SELECT or MULTI_SELECT property. Will error if passed and the type does not support them. Property options that are not included in this object will be deleted.
Show child attributes
Show child attributes
Whether the property is PHI (Protected health information)
Whether the property is PII (Personally Identifiable Information)
The description of the property
Response
The updated person property
An individual person property
The unique identifier of the property
The name of the property
The type of the property
STRING, NUMBER, DATETIME, BOOLEAN, SINGLE_SELECT, MULTI_SELECT, LOCATION "SINGLE_SELECT"
Options for a SINGLE_SELECT or MULTI_SELECT property. Empty for other property types.
Show child attributes
Show child attributes
Whether the property is unique across all people. Maximum of 10 across a workspace
Whether the property is PHI (Protected health information)
Whether the property is PII (Personally Identifiable Information)
The description of the property
The identifier of the property group this property belongs to. A property group is a collection of properties that apply to either all people in the workspace or a specific set of populations.